import { Controller, Get } from '@nestjs/common';
import { ApiTags, ApiOperation } from '@nestjs/swagger';
import { StatusService } from './status.service';
import { Public } from '../../common/decorators/public.decorator';

@ApiTags('public')
@Controller('public/status')
export class StatusController {
  constructor(private readonly statusService: StatusService) {}

  @Public()
  @Get()
  @ApiOperation({ summary: 'Get public server status page data' })
  async getStatus() {
    return this.statusService.getStatus();
  }
}
